org.gjt.sp.jedit.syntax

## Class SyntaxUtilities

- java.lang.Object
- - org.gjt.sp.jedit.syntax.SyntaxUtilities

    public class SyntaxUtilities
    extends java.lang.Object

Contains utility functions used by the syntax highlighting code.

Since:
  jEdit 4.2pre1

### Constructor Summary

Constructors
Constructor and Description
`SyntaxUtilities()`

### Method Summary

Methods
`static boolean` `regionMatches(boolean ignoreCase, javax.swing.text.Segment text, int offset, char[] match)` Checks if a subregion of a `Segment` is equal to a character array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyntaxUtilities

    public SyntaxUtilities()

### Method Detail

#### regionMatches

    public static boolean regionMatches(boolean ignoreCase,
                        javax.swing.text.Segment text,
                        int offset,
                        char[] match)

Checks if a subregion of a `Segment` is equal to a character array.

Parameters:
  `ignoreCase` - True if case should be ignored, false otherwise
  `text` - The segment
  `offset` - The offset into the segment
  `match` - The character array to match
Returns:
  true if the subregion of the segment was equals to the character array
Since:
  jEdit 4.2pre1